/* --- GLOBAL --- */
body {
    font-family: Arial, sans-serif;
    background: #121213;
    color: #ffffff;
    text-align: center;
    margin: 0;
}

header {
    padding: 15px;
    border-bottom: 1px solid #3a3a3c;
}

nav a {
    color: #ffffff;
    margin: 0 10px;
    text-decoration: none;
}

main {
    padding: 20px;
}

/* --- FORMULAIRE --- */
.guess-form {
    margin: 20px auto;
}

/* Input Wordle */
.wordle-input {
    width: 260px;
    height: 60px;
    font-size: 32px;
    text-align: center;
    letter-spacing: 32px;
    padding-left: 22px;
    


    background-color: #121213;
    color: #ffffff;

    border: 2px solid #3a3a3c;
    outline: none;

    font-family: monospace;
    text-transform: uppercase;
}

/* Focus */
.wordle-input:focus {
    border-color: #565758;
}

/* Bouton */
button {
    display: block;
    margin: 15px auto;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    background: #538d4e;
    color: white;
    border: none;
    border-radius: 4px;
}

/* --- GRILLE --- */
.row {
    margin: 8px 0;
}

.cell {
    display: inline-flex;
    width: 50px;
    height: 50px;
    margin: 2px;

    justify-content: center;
    align-items: center;

    font-size: 24px;
    font-weight: bold;
    text-transform: uppercase;

    border: 2px solid #3a3a3c;
}

/* Couleurs Wordle */
.green {
    background-color: #538d4e;
    border-color: #538d4e;
}

.yellow {
    background-color: #b59f3b;
    border-color: #b59f3b;
}

.gray {
    background-color: #3a3a3c;
    border-color: #3a3a3c;
}

ul {
    list-style: none;
    text-align: center;
    padding: 0;
    margin: 0;
}
